View Issue Details

IDProjectCategoryView StatusLast Update
0002243Far ManagerDialogpublic2013-01-11 11:15
ReporterNightRomanAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002243: Нельзя узнать, что сепаратор был задан с выравниванием по центру, если это задано с Х=-1
DescriptionМелочь, но некоторая нестыковка и одно практическое неудобство. Задаю в диалоге сепаратор. По недавно уточненным правилам это делается либо установкой DIF_CENTERTEXT, либо Х=-1. Наверное, это хорошо и гибко. Но при таком задании в запущенном диалоге невозможно узнать, что сепаратор задан с выравниванием по центру.

Вот как это получается. Когда диалог запущен, некоторая утилита считывает параметры этого сепаратора (зачем? утилита - генерация шаблона сорс-кода для текущего диалога). DIF_CENTERTEXT не установлен (видимо, потому что не установлен плагином), а вот Х возвращается не -1, а текущий. Таким, образом, если потом запустить сгенерированный код, то сепаратор будет создан с текущей левой координатой и без DIF_CENTERTEXT, то есть текст сепаратора съедет в самую левую его позицию.

Что можно предложить. Например, если Х=-1 у сепаратора, то Фар может сам принудительно выставить этот флаг DIF_CENTERTEXT. Тогда при считывании, хотя Х уже и не будет -1 (это правильно, вдруг надо узнать реальную текущую координату), но считывающий будет знать по флагу, что выравнивание задано.
TagsNo tags attached.
Build3072

Activities

vskirdin

2013-01-09 16:07

administrator   bugnote:0009944

> Например, если Х=-1 у сепаратора, то Фар может сам принудительно выставить этот флаг DIF_CENTERTEXT.

Согласен.
Ээээ... для указанных DIF_SEPARATOR или DIF_SEPARATOR2:
1. (утверждение) если x1=-1 и _НЕ_ указан DIF_CENTERTEXT - ФАР центрирует текст и ставит принудительно DIF_CENTERTEXT. В этом случае координаты сепаратора уже не -1.
2. (вопрос) если указан DIF_CENTERTEXT, то x1... что? Игнорируется (фар рассчитает сам координаты)?

NightRoman

2013-01-09 16:18

reporter   bugnote:0009946

2. - наверное. Не вижу подвохов в этом. И не вижу смысла задавать DIF_CENTERTEXT вместе со *значимой* координатой.

NightRoman

2013-01-09 16:20

reporter   bugnote:0009947

Собственно, 2. - это как сейчас, и на это вроде нареканий нет. А предлагается еще чуток допилить 1.

samlyukov

2013-01-09 19:22

reporter   bugnote:0009949

присоединюсь к обсуждению. п.1 - все вроде логично. п.2 - игнорировать х1.

vskirdin

2013-01-09 22:20

administrator   bugnote:0009952

Кстати, допустим выставлены DIF_RIGHTTEXT и DIF_CENTERTEXT. По коду DIF_RIGHTTEXT "исполняется" последним... - бага?

vskirdin

2013-01-09 22:23

administrator   bugnote:0009953

build 3069

NightRoman

2013-01-10 15:00

reporter   bugnote:0009958

Проверил на 3072, работает, спасибо.

NightRoman

2013-01-10 15:11

reporter   bugnote:0009959

А к вертикальным сепараторам это тоже относится (только с Y=-1)? Я не пробовал и вряд ли мне лично надо такое. Но для полноты документации в Фарнет пригодилось бы знать.

vskirdin

2013-01-11 11:14

administrator   bugnote:0009962

В коде это есть, про Y1

Issue History

Date Modified Username Field Change
2013-01-06 02:27 NightRoman New Issue
2013-01-09 16:07 vskirdin Note Added: 0009944
2013-01-09 16:18 NightRoman Note Added: 0009946
2013-01-09 16:20 NightRoman Note Added: 0009947
2013-01-09 19:22 samlyukov Note Added: 0009949
2013-01-09 22:20 vskirdin Note Added: 0009952
2013-01-09 22:23 vskirdin Note Added: 0009953
2013-01-09 22:23 vskirdin Assigned To => vskirdin
2013-01-09 22:23 vskirdin Status new => feedback
2013-01-10 15:00 NightRoman Note Added: 0009958
2013-01-10 15:00 NightRoman Status feedback => assigned
2013-01-10 15:00 NightRoman Status assigned => resolved
2013-01-10 15:11 NightRoman Note Added: 0009959
2013-01-11 11:14 vskirdin Note Added: 0009962
2013-01-11 11:15 vskirdin Build => 3072
2013-01-11 11:15 vskirdin Status resolved => closed
2013-01-11 11:15 vskirdin Resolution open => fixed
2013-01-11 11:15 vskirdin Fixed in Version => 3.0